image: node:18

stages:
  - lint
  - test
  - build

cache:
  key: ${CI_COMMIT_REF_SLUG}
  paths:
    - node_modules/

before_script:
  - yarn install --frozen-lockfile

lint_project:
  stage: lint
  script:
    - yarn lint

unit_test:
  stage: test
  script:
    - yarn test

build_project:
  stage: build
  script:
    - yarn build
